!
! Questão 15 da Lista 06 de exercícios para sala de aula - Capítulo F90/4
!
PROGRAM ORDENA
REAL :: NNO(5), TEMP
INTEGER :: i,j

  WRITE(*,*) "entre com 5 numeros"
  READ(*,*) (NNO(J), J=1,5)

DO I=1,4
  DO J=1,4
    IF (NNO(J)>NNO(J+1)) THEN
      TEMP = NNO(J)
      NNO(J) = NNO(J+1)
      NNO(J+1) = TEMP
      END IF
    END DO
  END DO
WRITE (*,*) "Os numeros  ordenados sao:"
WRITE(*,*) (NNO(I), I=1,5)
STOP 
END ORDENA